Name:    newsboat
Version: 2.12
Release: 2%{?dist}
Summary: RSS/Atom feed reader for the text console

License: MIT
URL:     https://www.newsboat.org
Source0: https://github.com/newsboat/newsboat/archive/r%{version}/%{name}-r%{version}.tar.gz

Patch0:  Makefile-doc.patch

BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: gettext
BuildRequires: stfl-devel
BuildRequires: sqlite-devel
BuildRequires: libcurl-devel
BuildRequires: pkgconf-pkg-config
BuildRequires: libxml2-devel
BuildRequires: json-c-devel
BuildRequires: ncurses-devel
BuildRequires: asciidoc

Requires: stfl
Requires: sqlite
Requires: libxml2
Requires: json-c
Requires: ncurses

Provides: podboat = %{version}-%{release}

%description
Newsboat is a fork of Newsbeuter, an RSS/Atom feed reader for the text console.

%prep
%setup -q -n %{name}-r%{version}

# This patch removes doc generation because there's a bug with the asciidoc
# package on f29.
# More info available at:
# - https://bugzilla.redhat.com/show_bug.cgi?id=1587965
# - https://github.com/asciidoc/asciidoc-py3/issues/16
%if 0%{?fedora} >= 29
%patch0 -p0
%endif # 0%{?fedora} >= 29

%build
%make_build

%install
%make_install prefix=%{_prefix}

%find_lang %{name}

%files -f %{name}.lang
%license LICENSE
%doc README.md

%{_bindir}/newsboat
%{_bindir}/podboat

# Doc generation is broken, see above comment
%if 0%{?fedora} < 29
%{_mandir}/man1/newsboat.1*
%{_mandir}/man1/podboat.1*
%endif # 0%{?fedora} < 29

%{_datadir}/doc/newsboat/

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild


* Mon Jun 25 2018 Lee Keitel <keitellf@fedoraproject.org> - 2.12-1
- Bumped version to 2.12

* Wed Jun 13 2018 Lee Keitel <keitellf@fedoraproject.org> - 2.11.1-1
- Initial version 2.11.1
